Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Interface Pipeline

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Subinterfaces:
  TermHighlighter

All Known Implementing Classes:
  AbstractPipeline, DeleteResultsPipeline, GenericPipeline, GetDocumentsPipeline, LuceneTermHighlighter

    public interface Pipeline

extends org.apache.cocoon.xml.XMLPipe, SdxObject

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `CLASS_NAME_SUFFIX` String representation of the pipeline class name suffix.
`static java.lang.String` | `PACKAGE_QUALNAME` String representation of the pipeline package name (including trailing separator ".").

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Method Summary
`void` | `addTransformation(Transformation t)` Adds a transformation to the pipeline and sets the consumer of the last transformation to be the newly added transformation.
`org.apache.avalon.framework.parameters.Parameters` | `getParameters()` The parameters for this pipeline.
`byte[]` | `getTransformedBytes()` Returns a byte array which contains the data of a transformation step.
`java.io.File` | `getTransformedFile()` Returns a file which contains the data of a transformation step.
`Pipeline` | `newInstance()` Generates a new instance of a Pipeline object
`void` | `setParameters(org.apache.avalon.framework.parameters.Parameters params)` Set's the default pipeline parameters

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### PACKAGE_QUALNAME

    static final java.lang.String PACKAGE_QUALNAME

  String representation of the pipeline package name (including trailing separator ".").

  See Also:
    Constant Field Values

### CLASS_NAME_SUFFIX

    static final java.lang.String CLASS_NAME_SUFFIX

  String representation of the pipeline class name suffix.

  See Also:
    Constant Field Values

Method Detail

### newInstance

    Pipeline newInstance()
                         throws SDXException

  Generates a new instance of a Pipeline object

  Throws:
    `SDXException`

### setParameters

    void setParameters(org.apache.avalon.framework.parameters.Parameters params)

  Set's the default pipeline parameters

  Parameters:
    `params` - The parameters for steps of the pipeline

### getParameters

    org.apache.avalon.framework.parameters.Parameters getParameters()

  The parameters for this pipeline.

### addTransformation

    void addTransformation(Transformation t)
                           throws SDXException

  Adds a transformation to the pipeline and sets the consumer of the last transformation to be the newly added transformation.

  Parameters:
    `t` - The transformation to be added.
  Throws:
    `SDXException`

### getTransformedBytes

    byte[] getTransformedBytes()

  Returns a byte array which contains the data of a transformation step. The data will only be present after a pipeline is executed, if no transformation data is retained `null` will be returned

### getTransformedFile

    java.io.File getTransformedFile()
                                    throws SDXException

  Returns a file which contains the data of a transformation step. The data will only be present after a pipeline is executed, if no transformation data is retained `null` will be returned

  Throws:
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.